package org.processmining.plugins;

import org.processmining.contexts.uitopia.UIPluginContext;
import org.processmining.contexts.uitopia.annotations.UITopiaVariant;
import org.processmining.framework.plugin.annotations.Plugin;
import org.processmining.framework.plugin.annotations.PluginVariant;
import org.processmining.models.CPLLicense;

@Plugin(name = "Show CPL License", parameterLabels = { }, returnLabels = { "CPL License, version 1.0" }, returnTypes = { CPLLicense.class })
public class CPLLicensePlugin {

	@UITopiaVariant(affiliation = UITopiaVariant.EHV, author = "H.M.W. Verbeek", email = "h.m.w.verbeek@tue.nl")
	@PluginVariant(variantLabel = "Show CPL License", requiredParameterLabels = { })
	public CPLLicense show(UIPluginContext context) {
		return new CPLLicense();
	}
}
